<?php
/**
 * TOP API: alibaba.alihealth.drug.download.fileacceptret request
 * 
 * @author auto create
 * @since 1.0, 2021.11.23
 */
class AlibabaAlihealthDrugDownloadFileacceptretRequest
{
	/** 
	 * appKey
	 **/
	private $appKeyN;
	
	/** 
	 * fileResultJson
	 **/
	private $fileResultJson;
	
	private $apiParas = array();
	
	public function setAppKeyN($appKeyN)
	{
		$this->appKeyN = $appKeyN;
		$this->apiParas["app_key_n"] = $appKeyN;
	}

	public function getAppKeyN()
	{
		return $this->appKeyN;
	}

	public function setFileResultJson($fileResultJson)
	{
		$this->fileResultJson = $fileResultJson;
		$this->apiParas["file_result_json"] = $fileResultJson;
	}

	public function getFileResultJson()
	{
		return $this->fileResultJson;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.download.fileacceptret";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
